Home > Freebsd Error > Freebsd Error Mod_authnz_ldap Requires Apr-util

Freebsd Error Mod_authnz_ldap Requires Apr-util

Faq Reply With Quote September 20th, 2006,10:31 AM #7 No Profile Picture kwilley View Profile View Forum Posts  TANSTAAFL Devshed Newbie (0 - 499 posts)     It was harder to do for the Required section. The goal of this project is to provide a secure, efficient and extensible server which provides HTTP services in sync with the current HTTP standards. Am I missing something obvious? have a peek at this web-site

If it's not set in stone (i.e.: mod_authnz_ldap could also work with mod_fictional_3rdparty_ldap), then applying the logic you suggest, would kill the option to use mod_fictional_3rdparty_ldap. See ports/UPDATING entry from 20100518 $> grep -A27 20100518 /usr/ports/UPDATING $> cd ports/devel/apr1 $> make config -> add LDAP to the mix then follow the UPDATING instruction or do a manually The latest upgrade! So use /var/run instead, which is cleaned on each boot. 10 Dec 2012 19:11:12 2.2.23_3 mm Update PCRE to 8.32 Introduces the UTF-32 library pcre32 Bump PORTREVISION in dependent ports 18

However, that combined with the (relatively) recent introduction of OPTIONS to apache22 port leads me to ask the question if the Makefile OPTIONS framework allows for dependencies (i.e. Latest Vulnerabilities file-rollerOct 12 ImageMagickOct 12 ImageMagick-nox11Oct 12 llppOct 12 mupdfOct 12 openoffice-4Oct 12 openoffice-develOct 12 virtualbox-oseOct 12 zathura-pdf-mupdfOct 12 libvncserverOct 11 linux-c6-openssl*Oct 11 openjpegOct 11 openssl*Oct 11 openssl-devel*Oct 11 php56-gdOct Checked by: make fetch-urlall-list With hat: portmgr Sponsored by: Absolight 18 Apr 2015 09:47:30 2.2.29_2 tijl - Remove libtool hacks and patches that are now handled by USES=libtool - Remove CONFIG_SHELL

Regards, -- Nino ___ [email protected] mailing list http://lists.freebsd.org/mailman/listinfo/freebsd-questions To unsubscribe, send any mail to [EMAIL PROTECTED] 5 matches Advanced search Search the list Site Navigation The Mail Archive home freebsd-questions - It would seem that mod_authnz_ldap required mod_ldap to be compiled in Apache to work. This is needed because of a bug [2] due to an incorrect implementation of RFC 4918. Extra options can be found in startup script.

Follow usBlogTwitter Port details apache22 Version 2.2.x of Apache web server with prefork MPM. 2.2.31_1 www =261 DEPRECATED: Upstream propose EoL of apache 2.2.x during the next 12 months EXPIRATION DATE: The one that comes with apache itself, or thedevel/apr port?I found in practice that even though the "APR from ports" option contains awarning, it works better if you have more software Please manually delete apache-2.\* if installed _before_ updating using either portmaster or portupgrade: pkg_delete -f apache-2.\* Then, if you use portmaster: portmaster -o devel/apr1 devel/apr If you use portupgrade: portupgrade -f Resolving that, build finishes ok, but fails againduring install, this time trying to relink libaprutil.la, again due tofailing to infer tag.

Because it's already a bit dodgy to link to a module (libtool warns about this) let the module continue to export only one function and instead build an ordinary library from PR 43857. [Tom Donovan](Only the first 15 lines of the commit message are shown above ) 16 Oct 2010 11:52:47 2.2.16_2 ade Punt autoconf267->autoconf268 14 Oct 2010 20:20:06 2.2.16_2 pgollucci - From the (scarce) documentation in the Porters Handbook, it would seem that this is not currently possible, yet it doesn't seem impossible to invoke another dialog and warn the user about Are you using Apache 2.2.2 as well?

devel/apr1 was updated to * apr-util 1.3.10 on 2010/10/06 05:32:24. ** Changes: http://www.apache.org/dist/httpd/CHANGES_2.2 PR: ports/151594 Submitted by: Tsurutani Naoki With Hat: [email protected] *) prefork MPM: Run cleanups for final If, like me, you have installed openldap using a package manager such as yum you can do the following. OpenLDAP Client 2.2.30 installed via pkg_add -r Last edited by jharnois; July 25th, 2006 at 03:43 PM. I see this file in the srclib directory located in my [un]gzipped source directory.

checking for ldap_init in -l/usr/local/etc/openldap... http://kshelper.com/freebsd-error/freebsd-error-code-1.html It would seem that mod_authnz_ldap required mod_ldap to be compiled in Apache to work. It might be an Apache error as there are some FreeBSD-specific hacks in the original libtool code; on the other hand, it might be that the problem is the port. If it's not set in stone (i.e.: mod_authnz_ldap could also work with mod_fictional_3rdparty_ldap), then applying the logic you suggest, would kill the option to use mod_fictional_3rdparty_ldap.

WWW: http://httpd.apache.org/SVNWeb : Homepage : PortsMon To install the port: cd /usr/ports/www/apache22/ && make install cleanTo add the package: pkg install apache22PKGNAME: apache22distinfo:SHA256 (apache22/httpd-2.2.31.tar.bz2) = f32f9d19f535dac63b06cb55dfc023b40dcd28196b785f79f9346779e22f26ac SIZE (apache22/httpd-2.2.31.tar.bz2) = 5610489 Slave mod_authnz_ldap.c:63: error: expected specifier-qualifier-list before 'deref_options' mod_authnz_ldap.c:95: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token mod_authnz_ldap.c:96: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token ... Faq Reply With Quote July 25th, 2006,03:37 PM #3 jharnois View Profile View Forum Posts  mod_dev_shed Devshed Supreme Being (6500+ posts)          Source Posted by Chris Mahns at 12:00:00 AM in apache, compiling apache, sysadmin | Permalink | Comments (10) | TrackBack (0) Technorati Tags: apache, apache httpd TrackBack TrackBack URL for this entry:http://www.typepad.com/services/trackback/6a01156fbc6fe6970c011572288368970b

Perhaps later... Approved by: portmgr (for Mk/bsd.port.mk part) Tested by: Multiple -exp runs 26 Jul 2010 01:28:40 2.2.16 kuriyama - Upgrade to 2.2.16. Faq Reply With Quote February 15th, 2012,07:22 AM #9 No Profile Picture Red-King View Profile View Forum Posts  Registered User Devshed Newbie (0 - 499 posts)  Join Date

for the new paths. 2008-06-22Affects: users of devel/subversion, subversion-devel and subversion-freebsd with apr from www/apache22Author: Clement Laforet Reason: apr and apr-util bundled with apache 2.2.9 have been upgraded to 1.3.x, so

PR: ports/160743 Submitted by: Jason Helfman 12 Sep 2011 23:17:33 2.2.20_1 gabor - Track dependencies after databases/gdbm update 12 Sep 2011 13:46:59 2.2.20 gabor - Track dependencies after databases/gdbm update Reason: i can Faq Reply With Quote September 20th, 2006,03:31 PM #8 No Profile Picture kwilley View Profile View Forum Posts  TANSTAAFL Devshed Newbie (0 - 499 posts)  Approved by: portmgr (bapt, implicit) 14 Aug 2013 22:35:54 2.2.25 ak - Remove MAKE_JOBS_SAFE variable Approved by: portmgr (bdrewery) 10 Jul 2013 19:01:44 2.2.25 ohauer - update to apache-2.2.25 - update All rights reserved.

Delphi, Lazarus, Free Pascal C/C++ Visual Basic Разное Новости Про сайт Работа Юридические документы Барахолка /dev/null Кто сейчас на конференции Сейчас этот форум Approved by: portmgr (implicit) 04 Jun 2014 16:54:02 2.2.27_2 des Add CPE information. Can anyone provide some insight into this? http://kshelper.com/freebsd-error/freebsd-error-code-127.html I really shouldn't have to ./configure apr-util directly should I?

About the authors Issues FAQ How big is it? Your hostname must be resolvable using at least 1 mechanism in /etc/nsswitch.conf typically DNS or /etc/hosts or apache might have issues starting depending on the modules you are using. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! S. если собирать без --with-ldap то соответственно: ... I am currently struggling with this as well Faq Reply With Quote September 19th, 2006,04:18 PM #5 jharnois View Profile View Forum Posts  mod_dev_shed Devshed Supreme Being (6500+ posts) 

http://lists.freebsd.org/pipermail/freebsd-apache/2014-April/003483.html with hat [email protected] 05 Apr 2014 22:03:24 2.2.27 ohauer - revert r350271 05 Apr 2014 21:52:11 2.2.27 ohauer - remove comment from patch 27 Mar 2014 05:28:11 2.2.27 ohauer - If I had specified WITH_LDAP, according to 'make show-options', it would have implied the option WITH_LDAP_MODULES. Security: CVE-2010-1452 (mod_{cache,dev} remote DoS), CVE-2010-2068 (mod_{proxy_{ajp,http},reqtimeout} related on some platforms) 21 May 2010 16:28:25 2.2.15_9 pgollucci Bump PORTREVISION forgotten in last commit, by /home/ncvs lied to me. - Fix misnamed If you've never compiled apache before though, running configure with these options will not give you that support.

As bonus the config file can be installed like every other config file with a .sample extention so modules are not disabled during pkg upgrades. Um Google Groups Discussions nutzen zu können, aktivieren Sie JavaScript in Ihren Browsereinstellungen und aktualisieren Sie dann diese Seite. . AFAICT, the one that comes with Apache itself. F.e., I don't have to rebuild apache, if I want to migrate to thelatest and greatest db4 minor release.--MelProblem with today's modular software: they start with the modulesand never get to

I'm trying to find the time to test this on other Apache versions. # Jeremy Explain your problem instead of asking how to do what you decided was the solution.